Details
curl --request GET \
--url 'https://api.themoviedb.org/3/movie/{movie_id}?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/movie/{movie_id}?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adult": false,
"backdrop_path": "/tElnmtQ6yz1PjN1kePNl8yMSb59.jpg",
"belongs_to_collection": {
"backdrop_path": "/4OgaftFNqtE1UvfDDb2Eov7A5Rz.jpg",
"id": 1241984,
"name": "Moana Collection",
"poster_path": "/hiGRhPYMKU8aXfxmSD7lqJNSzJG.jpg"
},
"budget": 150000000,
"genres": [
{
"id": 16,
"name": "Animation"
},
{
"id": 12,
"name": "Adventure"
},
{
"id": 10751,
"name": "Family"
},
{
"id": 35,
"name": "Comedy"
}
],
"homepage": "https://movies.disney.com/moana-2",
"id": 1241982,
"imdb_id": "tt13622970",
"origin_country": [
"US"
],
"original_language": "en",
"original_title": "Moana 2",
"overview": "After receiving an unexpected call from her wayfinding ancestors, Moana journeys alongside Maui and a new crew to the far seas of Oceania and into dangerous, long-lost waters for an adventure unlike anything she's ever faced.",
"popularity": 3274.354,
"poster_path": "/4YZpsylmjHbqeWzjKpUEF8gcLNW.jpg",
"production_companies": [
{
"id": 2,
"logo_path": "/wdrCwmRnLFJhEoH8GSfymY85KHT.png",
"name": "Walt Disney Pictures",
"origin_country": "US"
},
{
"id": 6125,
"logo_path": "/tzsMJBJZINu7GHzrpYzpReWhh66.png",
"name": "Walt Disney Animation Studios",
"origin_country": "US"
},
{
"id": 158526,
"logo_path": "/tzsMJBJZINu7GHzrpYzpReWhh66.png",
"name": "Walt Disney Animation Studios",
"origin_country": "CA"
}
],
"production_countries": [
{
"iso_3166_1": "CA",
"name": "Canada"
},
{
"iso_3166_1": "US",
"name": "United States of America"
}
],
"release_date": "2024-11-21",
"revenue": 717016469,
"runtime": 100,
"spoken_languages": [
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
}
],
"status": "Released",
"tagline": "The ocean is calling them back.",
"title": "Moana 2",
"video": false,
"vote_average": 6.942,
"vote_count": 506
}Movies
Details
This endpoint is used to get the top level details of a movie by ID.
GET
/
3
/
movie
/
{movie_id}
Details
Authorizations
Path Parameters
integer
Example:
"1241982"
Response
200 - application/json
OK
Example:
false
Example:
"/tElnmtQ6yz1PjN1kePNl8yMSb59.jpg"
Show child attributes
Show child attributes
Example:
150000000
Show child attributes
Show child attributes
Example:
[ { "id": 16, "name": "Animation" }, { "id": 12, "name": "Adventure" }, { "id": 10751, "name": "Family" }, { "id": 35, "name": "Comedy" } ]
Example:
"https://movies.disney.com/moana-2"
Example:
1241982
Example:
"tt13622970"
Example:
["US"]
Example:
"en"
Example:
"Moana 2"
Example:
"After receiving an unexpected call from her wayfinding ancestors, Moana journeys alongside Maui and a new crew to the far seas of Oceania and into dangerous, long-lost waters for an adventure unlike anything she's ever faced."
Example:
3274.354
Example:
"/4YZpsylmjHbqeWzjKpUEF8gcLNW.jpg"
Show child attributes
Show child attributes
Example:
[ { "id": 2, "logo_path": "/wdrCwmRnLFJhEoH8GSfymY85KHT.png", "name": "Walt Disney Pictures", "origin_country": "US" }, { "id": 6125, "logo_path": "/tzsMJBJZINu7GHzrpYzpReWhh66.png", "name": "Walt Disney Animation Studios", "origin_country": "US" }, { "id": 158526, "logo_path": "/tzsMJBJZINu7GHzrpYzpReWhh66.png", "name": "Walt Disney Animation Studios", "origin_country": "CA" } ]
Show child attributes
Show child attributes
Example:
[ { "iso_3166_1": "CA", "name": "Canada" }, { "iso_3166_1": "US", "name": "United States of America" } ]
Example:
"2024-11-21"
Example:
717016469
Example:
100
Show child attributes
Show child attributes
Example:
[ { "english_name": "English", "iso_639_1": "en", "name": "English" } ]
Example:
"Released"
Example:
"The ocean is calling them back."
Example:
"Moana 2"
Example:
false
Example:
6.942
Example:
506
Was this page helpful?
⌘I